/*
 * Copyright (C) 2007-2008 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file signal.h exported symbols from signal.c */

/**
 * Task for signal handling.
 */
struct signal_task {
	/** The signal pipe. */
	int fd;
	/** The number of the most recent signal. */
	int signum;
	/** The associated task structure. */
	struct task task;
};

int para_signal_init(void);
int para_install_sighandler(int);
void para_reap_children(void);
int para_reap_child(pid_t *pid);
int para_next_signal(void);
void para_signal_shutdown(void);
